Bug 96032 - [MAINTAINER UPDATE] mail/imp: update 4.1 -> 4.1.1
Summary: [MAINTAINER UPDATE] mail/imp: update 4.1 -> 4.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-19 03:30 UTC by Shaun Amott
Modified: 2006-05-12 02:56 UTC (History)
0 users

See Also:


Attachments
imp.diff (1.51 KB, patch)
2006-04-19 03:30 UTC, Shaun Amott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Amott 2006-04-19 03:30:18 UTC
- Update IMP to 4.1.1

This is a minor update - featuring mostly bugfixes.

Full changelog available here:

http://cvs.horde.org/diff.php/imp/docs/CHANGES?r1=1.699.2.163&r2=1.699.2.184&ty=h
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-10 00:48:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-11 19:37:16 UTC
Please see:
http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=470
(also the logs for turba and ingo) - the pkg_delete part


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #262:
Our POP server was kidnapped by a weasel

Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-11 20:24:16 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 Shaun Amott 2006-05-11 22:52:00 UTC
On Thu, May 11, 2006 at 09:37:16PM +0300, Ion-Mihai IOnut Tetcu wrote:
> 
> Please see:
> http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=470
> (also the logs for turba and ingo) - the pkg_delete part
> 

This is www/horde's fault. The patch below fixes all three cases:

-----Begin horde.diff-----
diff -urN horde.orig/pkg-plist horde/pkg-plist
--- horde.orig/pkg-plist	Sat Apr 15 17:18:18 2006
+++ horde/pkg-plist	Thu May 11 22:05:09 2006
@@ -1454,6 +1454,17 @@
 %%HORDEDIR%%/util/barcode.php
 %%HORDEDIR%%/util/icon_browser.php
 %%HORDEDIR%%/util/regex_test.php
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/File/tests
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Horde/Text/tests
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Horde/docs/examples
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Horde/tests
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Text/docs/examples
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Text/tests
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/VFS/tests
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/XML/docs/examples
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/XML/tests
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/data
+@exec mkdir -p %%HORDEDIR%%/www/horde/lib/docs
 @dirrm %%HORDEDIR%%/util
 @dirrm %%HORDEDIR%%/themes/simplex/graphics
 @dirrm %%HORDEDIR%%/themes/simplex
-----End horde.diff-----

-- 
Shaun Amott [ PGP: 0x6B387A9A ]
    Scientia Est Potentia.
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-11 23:05:34 UTC
On Thu, 11 May 2006 22:52:00 +0100
Shaun Amott <shaun@inerd.com> wrote:

> On Thu, May 11, 2006 at 09:37:16PM +0300, Ion-Mihai IOnut Tetcu wrote:
> > 
> > Please see:
> > http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=470
> > (also the logs for turba and ingo) - the pkg_delete part
> > 
> 
> This is www/horde's fault. The patch below fixes all three cases:


Thanks you, I will test on tindy and if there are no other problems
commit :)

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

Death.  Destruction.  Disease.  Horror.  That's what war is all
about.  That's what makes it a thing to be avoided.
		-- Kirk, "A Taste of Armageddon", stardate 3193.0

Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-12 00:18:26 UTC
On Thu, 11 May 2006 22:52:00 +0100
Shaun Amott <shaun@inerd.com> wrote:

> On Thu, May 11, 2006 at 09:37:16PM +0300, Ion-Mihai IOnut Tetcu wrote:
> > 
> > Please see:
> > http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=470
> > (also the logs for turba and ingo) - the pkg_delete part
> > 
> 
> This is www/horde's fault. The patch below fixes all three cases:
> 
> -----Begin horde.diff-----
> diff -urN horde.orig/pkg-plist horde/pkg-plist
> --- horde.orig/pkg-plist	Sat Apr 15 17:18:18 2006
> +++ horde/pkg-plist	Thu May 11 22:05:09 2006
> @@ -1454,6 +1454,17 @@
>  %%HORDEDIR%%/util/barcode.php
>  %%HORDEDIR%%/util/icon_browser.php
>  %%HORDEDIR%%/util/regex_test.php
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/File/tests
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Horde/Text/tests
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Horde/docs/examples
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Horde/tests
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Text/docs/examples
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/Text/tests
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/VFS/tests
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/XML/docs/examples
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/XML/tests
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/data
> +@exec mkdir -p %%HORDEDIR%%/www/horde/lib/docs
>  @dirrm %%HORDEDIR%%/util
>  @dirrm %%HORDEDIR%%/themes/simplex/graphics
>  @dirrm %%HORDEDIR%%/themes/simplex
> -----End horde.diff-----


Those would be w/o /www/horde, no ?

I rebuild horde with your patch from ports/96080 plus this
(w/o /www/horde in the above), but I don't see any difference, please
look at the logs again.


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #285:
Telecommunications is upgrading

Comment 7 Shaun Amott 2006-05-12 01:00:41 UTC
On Fri, May 12, 2006 at 02:18:26AM +0300, Ion-Mihai IOnut Tetcu wrote:
> 
> Those would be w/o /www/horde, no ?
> 
> I rebuild horde with your patch from ports/96080 plus this
> (w/o /www/horde in the above), but I don't see any difference, please
> look at the logs again.
> 

Indeed, and %%HORDEDIR%% needs PREFIX-ifying.

I have verified it works this time, and I will not assume patches work
without testing them in the future. :-)

Amended patch:

-----Begin horde.diff-----
diff -urN horde.orig/pkg-plist horde/pkg-plist
--- horde.orig/pkg-plist	Sat Apr 15 17:18:18 2006
+++ horde/pkg-plist	Thu May 11 22:05:09 2006
@@ -1454,6 +1454,17 @@
 %%HORDEDIR%%/util/barcode.php
 %%HORDEDIR%%/util/icon_browser.php
 %%HORDEDIR%%/util/regex_test.php
+@exec mkdir -p %D/%%HORDEDIR%%/lib/File/tests
+@exec mkdir -p %D/%%HORDEDIR%%/lib/Horde/Text/tests
+@exec mkdir -p %D/%%HORDEDIR%%/lib/Horde/docs/examples
+@exec mkdir -p %D/%%HORDEDIR%%/lib/Horde/tests
+@exec mkdir -p %D/%%HORDEDIR%%/lib/Text/docs/examples
+@exec mkdir -p %D/%%HORDEDIR%%/lib/Text/tests
+@exec mkdir -p %D/%%HORDEDIR%%/lib/VFS/tests
+@exec mkdir -p %D/%%HORDEDIR%%/lib/XML/docs/examples
+@exec mkdir -p %D/%%HORDEDIR%%/lib/XML/tests
+@exec mkdir -p %D/%%HORDEDIR%%/lib/data
+@exec mkdir -p %D/%%HORDEDIR%%/lib/docs
 @dirrm %%HORDEDIR%%/util
 @dirrm %%HORDEDIR%%/themes/simplex/graphics
 @dirrm %%HORDEDIR%%/themes/simplex
-----End horde.diff-----

-- 
Shaun Amott [ PGP: 0x6B387A9A ]
    Scientia Est Potentia.
Comment 8 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-12 02:31:30 UTC
On Fri, 12 May 2006 01:00:41 +0100
Shaun Amott <shaun@inerd.com> wrote:

> On Fri, May 12, 2006 at 02:18:26AM +0300, Ion-Mihai IOnut Tetcu wrote:
> > 
> > Those would be w/o /www/horde, no ?
> > 
> > I rebuild horde with your patch from ports/96080 plus this
> > (w/o /www/horde in the above), but I don't see any difference, please
> > look at the logs again.
> > 
> 
> Indeed, and %%HORDEDIR%% needs PREFIX-ifying.


I missed that :( sorry. Build OK now :)

 
> I have verified it works this time, and I will not assume patches work
> without testing them in the future. :-)


Indeed :)

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #420:
Feature was not beta tested

Comment 9 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-12 02:56:31 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!